Last Comment Bug 651262 - Update histogram.h/cc
: Update histogram.h/cc
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: IPC (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: (dormant account)
:
: [PTO to Dec5] Bill McCloskey (:billm)
Mentors:
Depends on:
Blocks: 649502
  Show dependency treegraph
 
Reported: 2011-04-19 15:33 PDT by (dormant account)
Modified: 2011-06-11 04:26 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Copy new histogram.* files (108.61 KB, patch)
2011-04-19 15:33 PDT, (dormant account)
cjones.bugs: review+
Details | Diff | Splinter Review
hacks to keep things compiling (2.11 KB, patch)
2011-04-19 15:35 PDT, (dormant account)
cjones.bugs: review+
Details | Diff | Splinter Review
fix bustage on windows (1.70 KB, patch)
2011-04-26 12:35 PDT, (dormant account)
bent.mozilla: review+
Details | Diff | Splinter Review

Description (dormant account) 2011-04-19 15:33:54 PDT
Created attachment 527132 [details] [diff] [review]
Copy new histogram.* files

Update histogram classes to chromium trunk
Comment 1 (dormant account) 2011-04-19 15:35:19 PDT
Created attachment 527133 [details] [diff] [review]
hacks to keep things compiling

This is the minimal set of changes to get newer chrome code in. This is my first code-borrowing attempt, so I probably did it wrong.
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-20 15:02:42 PDT
I don't mind rubber-stamping these patches, but it doesn't make a lot of sense for us to build a dependency on code that's not meant to be used externally.  Please don't be shy about forking.  (We may be forced to do that anyway if there's a pending rewrite on the chromium side.)
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-20 15:02:59 PDT
Comment on attachment 527132 [details] [diff] [review]
Copy new histogram.* files

rs=me
Comment 4 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-20 15:03:09 PDT
Comment on attachment 527133 [details] [diff] [review]
hacks to keep things compiling

rs=me
Comment 5 (dormant account) 2011-04-20 15:20:01 PDT
(In reply to comment #2)
> I don't mind rubber-stamping these patches, but it doesn't make a lot of sense
> for us to build a dependency on code that's not meant to be used externally. 
> Please don't be shy about forking.  (We may be forced to do that anyway if
> there's a pending rewrite on the chromium side.)

Thanks. I'd like to leverage the painful lessons that they learned for as long as I can. We can fork it once we know what works for us.
Comment 6 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-20 15:21:22 PDT
Certainly, that's been the m.o. with the IPC stuff.
Comment 7 (dormant account) 2011-04-26 12:35:27 PDT
Created attachment 528396 [details] [diff] [review]
fix bustage on windows

This is a small compilation fix on windows. Had this attached to the wrong bug before.

Note You need to log in before you can comment on or make changes to this bug.